[arch-commits] Commit in python-statsmodels/trunk (PKGBUILD)

Andrzej Giniewicz aginiewicz at archlinux.org
Thu Mar 14 08:31:58 UTC 2019


    Date: Thursday, March 14, 2019 @ 08:31:57
  Author: aginiewicz
Revision: 440950

upgpkg: python-statsmodels 0.9.0-3

python-statsmodels: drop python2 support

Modified:
  python-statsmodels/trunk/PKGBUILD

----------+
 PKGBUILD |   53 ++++++++++++-----------------------------------------
 1 file changed, 12 insertions(+), 41 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2019-03-14 08:31:52 UTC (rev 440949)
+++ PKGBUILD	2019-03-14 08:31:57 UTC (rev 440950)
@@ -1,58 +1,30 @@
 # Maintainer: Andrzej Giniewicz <gginiu at gmail.com>
 # Contributor: Oliver Sherouse <oliver DOT sherouse AT gmail DOT com>
 
-pkgbase=python-statsmodels
-pkgname=('python2-statsmodels' 'python-statsmodels')
+# TODO: move python-joblib from AUR (needed to accelerate distributed estimation for certain models)
+# TODO: create X-12-ARIMA or X-13ARIMA-SEATS (can be used for time-series analysis)
+
+pkgname='python-statsmodels'
 pkgver=0.9.0
-pkgrel=2
+pkgrel=3
 pkgdesc="Statistical computations and models for use with SciPy"
 arch=('x86_64')
 url="http://statsmodels.sourceforge.net/"
 license=('BSD')
-makedepends=('python2-setuptools' 'python2-scipy' 'python2-pandas' 'python2-patsy'
-             'python-setuptools' 'python-scipy' 'python-pandas' 'python-patsy'
-	     'cython' 'cython2' 'python-tempita' 'python2-tempita')
+depends=('python-scipy' 'python-pandas' 'python-patsy')
+makedepends=('python-setuptools' 'cython')
+optdepends=('python-nose: needed for integrated test suite'
+            'python-matplotlib: needed for plotting functions'
+	    'jupyter: needed to run the notebooks')
 source=("https://github.com/statsmodels/statsmodels/archive/v${pkgver}.tar.gz")
-md5sums=('8cb06154cef733d1e03b1b5d763a2ae1')
+sha256sums=('4ab219c776bf5b2187645c0ccb00cf8564c6c17541ae66ab96503f07368197d3')
 
-prepare() {
-  cd "$srcdir"
-  cp -a statsmodels-${pkgver} statsmodels-py2-${pkgver}
-  cd statsmodels-py2-${pkgver}
-
-  sed -e "s|#![ ]*/usr/bin/python$|#!/usr/bin/python2|" \
-      -e "s|#![ ]*/usr/bin/env python$|#!/usr/bin/env python2|" \
-      -e "s|#![ ]*/bin/env python$|#!/usr/bin/env python2|" \
-      -i $(find . -name '*.py')
-}
-
 build() {
-  msg "Building Python2"
-  cd "$srcdir"/statsmodels-py2-${pkgver}
-  python2 setup.py build
-
-  msg "Building Python3"
   cd "$srcdir"/statsmodels-${pkgver}
   python setup.py build
 }
 
-package_python2-statsmodels() {
-  depends=('python2-scipy' 'python2-pandas' 'python2-patsy')
-  optdepends=('python2-nose: needed for integrated test suite'
-              'python2-matplotlib: needed for plotting functions')
-
-  cd "$srcdir"/statsmodels-py2-${pkgver}
-
-  python2 setup.py install --skip-build --root="$pkgdir" --optimize=1
-
-  install -Dm644 LICENSE.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}
-
-package_python-statsmodels() {
-  depends=('python-scipy' 'python-pandas' 'python-patsy')
-  optdepends=('python-nose: needed for integrated test suite'
-              'python-matplotlib: needed for plotting functions')
-
+package() {
   cd "$srcdir"/statsmodels-${pkgver}
 
   python setup.py install --skip-build --root="$pkgdir" --optimize=1
@@ -59,4 +31,3 @@
 
   install -Dm644 LICENSE.txt "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
 }
-


More information about the arch-commits mailing list